using UnityEngine;
using System;
using System.Collections.Generic;
using System.Collections;

public class MeterDisplay : MonoBehaviour
{
  FrequencyBand band;
  public TextMesh textMesh;

  public void Init(FrequencyBand b)
  {
    band = b;
    textMesh.text = b.index.ToString();
  }

  void Update()
  {
    if(band == null)
    {
      Debug.Log("[MeterDisplay] NOP");
      return;
    }
    Vector3 pos = transform.localPosition;
    pos.y = band.peakValue * 32;
    transform.localPosition = pos;
  }

}
