using UnityEngine;
using System;
using System.Collections.Generic;
using System.Collections;

public class ArrowAudioConfiguration : MonoBehaviour
{

  public Dictionary<string, AudioClipData> clipMap = new Dictionary<string, AudioClipData>();

  public AudioClipData[] clips;

  [System.Serializable]
  public class AudioClipData
  {
    public string key;
    public AudioClip clip;
  }

  void Start()
  {
    foreach(AudioClipData acd in clips)
    {
      clipMap[acd.key] = acd;
    }
  }

  AudioClip getClipForKey(string key)
  {
    return clipMap[key].clip;
  }

}
